// Tektro.h
/////////////////////////////////////////////////////////////////////////////
// CTektro 
class CTektro : public CObject
{
	// Construction
	public:
		CTektro(int iNoCom);
		virtual ~CTektro();

 	public:   
		int m_iTailleBuf;
		char *m_cBuf;		//Buffer de caractres
		HANDLE hCom;
		COMMCONFIG cfg;
		COMMTIMEOUTS ctmo;

 		int
			m_radioCom;					//N port srie en connexion	
 		unsigned long
 			m_lTimeOut;					//Attente sur port srie
		int
			m_pt_off,
			m_nr_pt;
		float
			m_ymult,
			m_yzero,
			m_yoff,
			m_xincr;						

	//Attributes
	public:    
		BOOL InitRs232(HANDLE hCom,COMMCONFIG *cfg,COMMTIMEOUTS *ctmo,long lTimeOut);
		BOOL WriteCom(CString s);
		BOOL ReadCom();
		CString Identification();
		BOOL SelectionVoie(CString Voie);
		BOOL LectureParametres(CString Voie,int Type);
		BOOL Curve(void);
		CString ParaCompl(CString Voie,CString Para);
};

