// VeloDlg.cpp : implementation file
//
#include "stdafx.h"
#include "Bk.h"
#include "VeloDlg.h"
#include "BkDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
/////////////////////////////////////////////////////////////////////////////
// CVeloDlg dialog
CVeloDlg::CVeloDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVeloDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVeloDlg)
	m_sDuree = _T("");
	m_sFreq = _T("");
	m_sInterFr = _T("");
	m_sTexte = _T("");
	//}}AFX_DATA_INIT
}
void CVeloDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVeloDlg)
	DDX_Text(pDX, IDC_DUREE, m_sDuree);
	DDX_Text(pDX, IDC_FREQ, m_sFreq);
	DDX_Text(pDX, IDC_INTERFRANGE, m_sInterFr);
	DDX_Text(pDX, IDC_STATIC_TEXTE, m_sTexte);
	//}}AFX_DATA_MAP
}
BEGIN_MESSAGE_MAP(CVeloDlg, CDialog)
	//{{AFX_MSG_MAP(CVeloDlg)
	ON_BN_CLICKED(IDCALCUL, OnCalcul)
	ON_EN_CHANGE(IDC_DUREE, OnChangeDuree)
	ON_EN_CHANGE(IDC_FREQ, OnChangeFreq)
	ON_EN_CHANGE(IDC_INTERFRANGE, OnChangeInterfrange)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
/////////////////////////////////////////////////////////////////////////////
// CVeloDlg message handlers
BOOL CVeloDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	char s[20];
	m_fInterFr=m_pDoc->m_fInterFr;
	m_fDuree=m_pDoc->m_fDuree;
	m_fFreq=m_pDoc->m_fFreq;
	sprintf(s,"%1.1f",m_fDuree);m_sDuree=s;
	sprintf(s,"%1.2f",m_fFreq);m_sFreq=s;
	sprintf(s,"%1.1f",m_fInterFr);m_sInterFr=s;
	m_sTexte="Cliquez sur Calculer...";
	UpdateData(FALSE);               
	return TRUE;
}
//__________________________________________________
void CVeloDlg::OnCalcul() 
{
	char s[160];                      
	int i;
	UpdateData(TRUE);
	i=sscanf(m_sDuree,"%f",&m_fDuree);
	if (i==0 || m_fDuree<=0)
	{
		m_fDuree=m_pDoc->m_fDuree;
	}
	i=sscanf(m_sFreq,"%f",&m_fFreq);
	if (i==0 || m_fFreq<=0)
	{
		m_fFreq=m_pDoc->m_fFreq;
	}
	sscanf(m_sInterFr,"%f",&m_fInterFr);
	if (i==0 || m_fInterFr<=0)
	{
		m_fInterFr=m_pDoc->m_fInterFr;
	}
	m_pDoc->m_fInterFr=m_fInterFr;
	m_pDoc->m_fDuree=m_fDuree;
	m_pDoc->m_fFreq=m_fFreq;

	sprintf(s,"%1.1f",m_fDuree);m_sDuree=s;
	sprintf(s,"%1.2f",m_fFreq);m_sFreq=s;
	sprintf(s,"%1.1f",m_fInterFr);m_sInterFr=s;
	UpdateData(FALSE);               
	//Calculs
	sprintf(s,"Vitesse particule (mm/s): %1.2f\nLongueur parcours (m): %1.2f",m_fFreq*m_fInterFr,m_fFreq*m_fInterFr*m_fDuree);
	m_sTexte=s;
	UpdateData(FALSE);
}
//__________________________________________________
void CVeloDlg::OnCancel() 
{
	CDialog::OnCancel();
}
//__________________________________________________
void CVeloDlg::OnOK() 
{
	//CDialog::OnOK();
}
//__________________________________________________
void CVeloDlg::OnChangeDuree() 
{
	SetDlgItemText(IDC_STATIC_INFO,"");
}
//__________________________________________________
void CVeloDlg::OnChangeFreq() 
{
	SetDlgItemText(IDC_STATIC_INFO,"");
}
//__________________________________________________
void CVeloDlg::OnChangeInterfrange() 
{
	SetDlgItemText(IDC_STATIC_INFO,"");
}
