// GraDlg.cpp : implementation file
//
#include "stdafx.h"
#include "Bk.h"
#include "GraDlg.h"
#include "Bkdoc.h"
#include "Regres.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
/////////////////////////////////////////////////////////////////////////////
// CGraDlg dialog
CGraDlg::CGraDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGraDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGraDlg)
	m_OKRef1 = FALSE;
	m_OKRef2 = FALSE;
	m_OKVoie1 = FALSE;
	m_OKVoie2 = FALSE;
	m_OKMath = FALSE;
	//}}AFX_DATA_INIT
}
void CGraDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGraDlg)
	DDX_Check(pDX, IDC_REF1, m_OKRef1);
	DDX_Check(pDX, IDC_REF2, m_OKRef2);
	DDX_Check(pDX, IDC_VOIE1, m_OKVoie1);
	DDX_Check(pDX, IDC_VOIE2, m_OKVoie2);
	DDX_Check(pDX, IDC_MATH, m_OKMath);
	//}}AFX_DATA_MAP
}
BEGIN_MESSAGE_MAP(CGraDlg, CDialog)
	//{{AFX_MSG_MAP(CGraDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
/////////////////////////////////////////////////////////////////////////////
// CGraDlg message handlers
BOOL CGraDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	if (m_pDoc->m_iTypeGr>16)
	{
		//Le graphe prcdent n'tait pas un graphe d'acq. mais de calcul...
		if(m_pDoc->m_iTypeAcq & 1) m_OKVoie1=TRUE;         
		if(m_pDoc->m_iTypeAcq& 2) m_OKVoie2=TRUE;         
		if(m_pDoc->m_iTypeAcq & 4) m_OKRef1=TRUE;         
		if(m_pDoc->m_iTypeAcq & 8) m_OKRef2=TRUE;         
		if(m_pDoc->m_iTypeAcq & 16) m_OKMath=TRUE;         
	}
	else
	{
		//On propose les graphes slectionns prcdemment
		if(m_pDoc->m_iTypeGr & 1) m_OKVoie1=TRUE;         
		if(m_pDoc->m_iTypeGr & 2) m_OKVoie2=TRUE;         
		if(m_pDoc->m_iTypeGr & 4) m_OKRef1=TRUE;         
		if(m_pDoc->m_iTypeGr & 8) m_OKRef2=TRUE;         
		if(m_pDoc->m_iTypeGr & 16) m_OKMath=TRUE;         
	}         
	if(!(m_pDoc->m_iTypeAcq & 1)) GetDlgItem(IDC_VOIE1)->EnableWindow(FALSE);         
	if(!(m_pDoc->m_iTypeAcq & 2)) GetDlgItem(IDC_VOIE2)->EnableWindow(FALSE);         
	if(!(m_pDoc->m_iTypeAcq & 4)) GetDlgItem(IDC_REF1)->EnableWindow(FALSE);         
	if(!(m_pDoc->m_iTypeAcq & 8)) GetDlgItem(IDC_REF2)->EnableWindow(FALSE);         
	if(!(m_pDoc->m_iTypeAcq & 16)) GetDlgItem(IDC_MATH)->EnableWindow(FALSE);         
	UpdateData(FALSE);
	return TRUE;
}
//__________________________________________________
void CGraDlg::OnOK() 
{
	UpdateData(TRUE);
	m_pDoc->m_iTypeGr=0;
	if (m_OKVoie1) m_pDoc->m_iTypeGr=m_pDoc->m_iTypeGr+1;
	if (m_OKVoie2) m_pDoc->m_iTypeGr=m_pDoc->m_iTypeGr+2;
	if (m_OKRef1) m_pDoc->m_iTypeGr=m_pDoc->m_iTypeGr+4;
	if (m_OKRef2) m_pDoc->m_iTypeGr=m_pDoc->m_iTypeGr+8;
	if (m_OKMath) m_pDoc->m_iTypeGr=m_pDoc->m_iTypeGr+16;
	//Invalider les rgressions prcdentes
	m_pDoc->m_pReg->Invalider();
	//Pas de marque de pointage, pas de coordonnes relatives
	CBkApp* pApp=(CBkApp*)AfxGetApp();
	pApp->m_fDx=0;
	pApp->m_fDy=0;

	m_pDoc->UpdateAllViews(NULL);
	CDialog::OnOK();
}
